org.apache.cassandra.service

## Class AntiEntropyService.TreeRequestVerbHandler

- java.lang.Object
- - org.apache.cassandra.service.AntiEntropyService.TreeRequestVerbHandler

- All Implemented Interfaces:
    IVerbHandler<AntiEntropyService.TreeRequest>
  Enclosing class:
    AntiEntropyService

      public static class AntiEntropyService.TreeRequestVerbHandler
      extends java.lang.Object
      implements IVerbHandler<AntiEntropyService.TreeRequest>

  Handler for requests from remote nodes to generate a valid tree. The payload is a CFPair representing the columnfamily to validate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiEntropyService.TreeRequestVerbHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doVerb(MessageIn<AntiEntropyService.TreeRequest> message, java.lang.String id)` Trigger a validation compaction which will return the tree upon completion.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntiEntropyService.TreeRequestVerbHandler

          public AntiEntropyService.TreeRequestVerbHandler()

  - ### Method Detail

    - #### doVerb

          public void doVerb(MessageIn<AntiEntropyService.TreeRequest> message,
                    java.lang.String id)

      Trigger a validation compaction which will return the tree upon completion.
      Specified by:
        `doVerb` in interface `IVerbHandler<AntiEntropyService.TreeRequest>`
      Parameters:
        `message` - - incoming message that needs handling.

Copyright © 2014 The Apache Software Foundation